import http from '@/utils/http'

export function getActivityPageApi(query) {
  return http.post('/activity/page', query)
}

export function addActivityApi(body) {
  return http.post(`/activity/add`, body)
}

export function deleteActivityApi(activityId) {
  return http.delete(`/activity/${activityId}`)
}

export function getActivityDetailApi(activityId) {
  return http.get(`/activity/detail/${activityId}`)
}

export function modifyActivityApi(body) {
  return http.put(`/activity/modify`, body)
}

export function getActivitySignPageApi(activityId, pageIndex) {
  return http.get(`/activity/sign-page?activityId=${activityId}&pageIndex=${pageIndex}`)
}

